main > .container, main > .container-fluid
{
    padding: 70px 15px 20px;
}

.footer {
    background-color: #f5f5f5;
    font-size: .9em;
    height: 60px;
}

.footer > .container, .footer > .container-fluid {
    padding-right: 15px;
    padding-left: 15px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    content: '';
    left: 3px;
    display: inline-block;
    width: 0;
    height: 0;
    border: solid 5px transparent;
    margin: 4px 4px 2px 4px;
    background: transparent;
}

a.asc:after {
    border-bottom: solid 7px #212529;
    border-top-width: 0;
}

a.desc:after {
    border-top: solid 7px #212529;
    border-bottom-width: 0;
}

.grid-view th,
.grid-view td:last-child {
    white-space: nowrap;
}

.grid-view .filters input,
.grid-view .filters select {
    min-width: 50px;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.navbar form > button.logout {
    padding-top: 7px;
    color: rgba(255, 255, 255, 0.5);
}

@media(max-width:767px) {
    .navbar form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 0;
    }
}

.navbar form > button.logout:focus,
.navbar form > button.logout:hover {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.75);
}

.navbar form > button.logout:focus {
    outline: none;
}

/* style breadcrumb widget as in previous bootstrap versions */
.breadcrumb {
    background-color: var(--bs-gray-200);
    border-radius: .25rem;
    padding: .75rem 1rem;
}

.breadcrumb-item > a
{
    text-decoration: none;
}




.form-control {
    appearance : auto;
}

.control-label{
    font-size: 1.2em;
    font-weight: bold;
}

.ui-widget{
    font-size: 1em;
}

.btn-holder{
    justify-content: flex-end;
    display: flex;
}

.model-person-form{
    justify-content: space-between;
    flex-direction: column;
    /*height: 100%;*/
    display: flex;
}

/* Червона зірка поряд із обов'язковими полями
form div.required label.control-label:after {
  content:" * ";
  color:red;
}
*/





.modal_person_list{
    /*height:200px;
    width:500px;*/
    overflow-y:scroll;
}










.wrap-myLoader {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: #fff;
    z-index: 51;
    transition: 1s all;
    opacity: 1;
    /*visibility: visible;*/
    visibility: hidden;
}
.myLoader {
    position: absolute;
    left: 49%;
    top: 49%;
    transform: translate(-50%, -50%);
    width: 40px;
    height: 40px;
    border: 6px solid #65a9ee;
    border-top-color: #0C3C6C;
    border-radius: 50%;
    animation: 1s myAnim linear infinite;
}
.cansel {
    opacity: 0;
    visibility: hidden;
}

.myLoaderShow{
    visibility: visible;
}

@keyframes myAnim {
    from {
        transform: translate(-50%, -50%) rotate(0deg);
    }
    to {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}


.container{
    max-width: 100%;
}



#w0-container {
    /*overflow-x: inherit;*/
    font-size: 0.8em !important;
}

.table-responsive{
    overflow-x: inherit;
}


#w0-filters{
    /*display: none;*/
}

.collapceble tr td {
    white-space: nowrap;
    height: 10px; 
    background-color: #121212;
}



.optionGroup {
    font-weight: bold;
    font-style: italic;
}
    
.optionChild {
    padding-left: 15px;
}


tr.danger td {
    background-color: #f2dede !important;
}




.my-grid-row {
    height: 50px !important; /* Set your desired fixed height */
}

.my-grid-row td {
    height: 50px !important; /* Set your desired fixed height */

    
    /* Для ячеек с длинным текстом */
    /*white-space: nowrap;*/ /* Предотвращает перенос текста */
    overflow: hidden !important; /* Скрываем вертикальное переполнение */
    padding: 8px;
  
}


.custom-grid-view table thead th {
    height: 50px; /* Adjust the height as needed */
    vertical-align: middle; /* Optional: vertically align text in the middle */
}

hr {
  opacity: 1;
}




.red-circle {
  width: 20px;          /* Ширина */
  height: 20px;         /* Высота (должна быть равна ширине для круга) */
  background-color: red; /* Красный цвет фона */
  border-radius: 50%;    /* Скругляет углы на 50% */
  /* Можно также использовать HEX-код: #FF0000 */
  /* Или RGB: rgb(255, 0, 0) */
}

.green-circle {
  width: 20px;          /* Ширина */
  height: 20px;         /* Высота (должна быть равна ширине для круга) */
  background-color: green; /* Красный цвет фона */
  border-radius: 50%;    /* Скругляет углы на 50% */
  /* Можно также использовать HEX-код: #FF0000 */
  /* Или RGB: rgb(255, 0, 0) */
}



.table-container {
    /* Optional: Add a max-height and overflow if you want only the table body to scroll within its own container */
    /* max-height: 400px; */
    /* overflow-y: auto; */
}

thead {
    position: sticky;
    top: 0; 
    border: 1px solid #000; /* Apply borders to all header and data cells */
    padding: 8px; /* Add padding for better layout */
    text-align: left;
}

table {
    /*border-collapse: collapse;*/ /* Prevents double borders */
    width: 100%;
}
/* Add more styling for td, etc. */


.td_content{
    height: 30px; 
    overflow: hidden;
    font-size: 0.9em;
    line-height: 1;
}

    
.view_detail_part_modal{
    padding: 2px;
}